#!/usr/bin/env python
import coral
st1 = coral.loadDocument("../../../coral/core/CORE01.xmi")
ref1 = st1.get_ref_count()
st2 = coral.loadDocument("../../../coral/core/CORE01.xmi")
ref2 = st1.get_ref_count()
st3 = coral.loadDocument("../../../coral/core/CORE01.xmi")
ref3 = st1.get_ref_count()

assert st1 == st2
assert st1 == st3
assert ref1 == ref2
assert ref1 == ref3

e = st1.contents()[0]

st4 = e.__getProject__()
ref4 = st4.get_ref_count()
assert st1 == st4
assert ref1 == ref4

